From 9380c454b0a90ea11cd35cbf318bf2f3cc5bdd5e Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Fri, 24 Apr 2020 16:39:43 +0800
Subject: [PATCH 52/77] virsh_attach_detach_disk: Replace the bus type of CDROM
 adapt to arrch64 platform.

Replace the bus type of CDROM from 'ide' to 'scsi' adapt to arrch64
platform, as IDE controllers are unsupported for arrch64, otherwise it
will be an error: unsupported configuration.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 .../tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py   | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py
index d067f5b5..cbc7f107 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_attach_detach_disk.py
@@ -1,7 +1,7 @@
 import os
 import time
 import logging
-
+import platform
 import aexpect
 
 from avocado.utils import process
@@ -182,7 +182,8 @@ def run(test, params, env):
                 test.cancel("'directsync' cache option doesn't "
                             "support in current libvirt version.")
         at_options += (" --cache %s" % cache_options)
-
+    if device_target == "hdc" and platform.platform().count('aarch64'):
+        device_target = "sdc"
     vm_name = params.get("main_vm")
     vm = env.get_vm(vm_name)
 
-- 
2.23.0

